io.vertx.rxjava.ext.auth.jdbc

## Class JDBCAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.AuthProvider
  - - io.vertx.rxjava.ext.auth.jdbc.JDBCAuth

-     public class JDBCAuth
      extends AuthProvider

  Factory interface for creating `AuthProvider` instances that use the Vert.x JDBC client

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCAuth(JDBCAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JDBCAuth` | `create(JDBCClient client)` Create a JDBC auth provider implementation
    `Object` | `getDelegate()`
    `static JDBCAuth` | `newInstance(JDBCAuth arg)`
    `JDBCAuth` | `setAuthenticationQuery(String authenticationQuery)` Set the authentication query to use.
    `JDBCAuth` | `setPermissionsQuery(String permissionsQuery)` Set the permissions query to use.
    `JDBCAuth` | `setRolePrefix(String rolePrefix)` Set the role prefix to distinguish from permissions when checking for isPermitted requests.
    `JDBCAuth` | `setRolesQuery(String rolesQuery)` Set the roles query to use.

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.AuthProvider

      `authenticate, authenticateObservable, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCAuth

          public JDBCAuth(JDBCAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `AuthProvider`

    - #### create

          public static JDBCAuth create(JDBCClient client)

      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
      Returns:
        the auth provider

    - #### setAuthenticationQuery

          public JDBCAuth setAuthenticationQuery(String authenticationQuery)

      Set the authentication query to use. Use this if you want to override the default authentication query.
      Parameters:
        `authenticationQuery` - the authentication query
      Returns:
        a reference to this for fluency

    - #### setRolesQuery

          public JDBCAuth setRolesQuery(String rolesQuery)

      Set the roles query to use. Use this if you want to override the default roles query.
      Parameters:
        `rolesQuery` - the roles query
      Returns:
        a reference to this for fluency

    - #### setPermissionsQuery

          public JDBCAuth setPermissionsQuery(String permissionsQuery)

      Set the permissions query to use. Use this if you want to override the default permissions query.
      Parameters:
        `permissionsQuery` - the permissions query
      Returns:
        a reference to this for fluency

    - #### setRolePrefix

          public JDBCAuth setRolePrefix(String rolePrefix)

      Set the role prefix to distinguish from permissions when checking for isPermitted requests.
      Parameters:
        `rolePrefix` - a Prefix e.g.: "role:"
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static JDBCAuth newInstance(JDBCAuth arg)

Copyright © 2015. All Rights Reserved.